SystemOrganization addCategory: #'Orange-Tests'!

!ALJsonRenderer methodsFor: '*orange-tests' stamp: 'chc 10/25/2015 11:22'!
writer 
	^writer! !

!ALJsonWriter methodsFor: '*orange-tests' stamp: 'chc 10/25/2015 11:22'!
stream
	^stream! !

TestCase subclass: #ALAjaxCounterComponentTest
	instanceVariableNames: 'component renderer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!ALAjaxCounterComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/23/2015 10:56'!
setUp
	| stream context locator  |
	component := ALAjaxCounterComponent new. 

	stream := String new writing.
	locator := ALRestfulLocator sequential.
	context := ALRenderingContext resource: self locator: locator.
	renderer := ALJsonRenderer context: context stream: stream.
! !

!ALAjaxCounterComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 10/25/2015 11:29'!
testRender
	| json therendered |
	json := '{"count":"0","dec":"/0","inc":"/1"}'.
	component renderOn: renderer.
	therendered := renderer writer stream contents.
! !

TestCase subclass: #ORAjaxWikiComponentTest
	instanceVariableNames: 'component renderer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 11/2/2015 09:59'!
setUp
	| stream context locator  |
	stream := String new writing.
	locator := ALRestfulLocator sequential.
	context := ALRenderingContext resource: self locator: locator.
	renderer := ALJsonRenderer context: context stream: stream.
! !

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 11/24/2015 10:11'!
testBold
	| component resultjson |
	component := ORAjaxWikiComponent wikiString: '*statue*'.
	component renderOn: renderer.
	resultjson := '{"html":"<div><p><b>statue</b></p></div>"}'.
	self assert: (renderer writer stream contents = resultjson)
! !

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 11/25/2015 19:38'!
testHeading
	| component resultjson |
	component := ORAjaxWikiComponent wikiString: '= statue'.
	component renderOn: renderer.
	resultjson := '{"html":"<div><h1>statue</h1></div>"}'.
	self assert: (renderer writer stream contents = resultjson)
! !

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 11/25/2015 19:37'!
testItalic
	| component resultjson |
	component := ORAjaxWikiComponent wikiString: '_statue_'.
	component renderOn: renderer.
	resultjson := '{"html":"<div><p><i>statue</i></p></div>"}'.
	self assert: (renderer writer stream contents = resultjson)
! !

!ORAjaxWikiComponentTest methodsFor: 'as yet unclassified' stamp: 'chc 11/20/2015 10:21'!
testPage
	| component resultjson |
	component := ORAjaxWikiComponent wikiString: 'statue'.
	component renderOn: renderer.
	resultjson := '{"html":"<div><p>statue</p></div>"}'.
	self assert: (renderer writer stream contents = resultjson)
! !

TestCase subclass: #ORWikiActorTest
	instanceVariableNames: 'parser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Tests'!

!ORWikiActorTest commentStamp: 'chc 7/22/2015 15:10' prior: 0!
A terminal here is an OrderedCollection that does not contain another OrderedCollection. A terminal's contents is chars or strings. In the #grammarWiki that could be: 

Bold <- "*" Flow{"*"}

Angle brackets (i.e. {}) show that something is optional. To create a bold word you need an asterisk befor a or line. It will not contain any further OrderedCollections.  !

!ORWikiActorTest methodsFor: 'private' stamp: 'chc 7/28/2015 15:26'!
setUp
	| grammar |
	grammar := PEGParser grammarWiki.
	parser := PEGParser parserPEG parse: 'Grammar' stream: grammar actor: PEGParserParser new.
	! !

!ORWikiActorTest methodsFor: 'lexical' stamp: 'chc 11/24/2015 10:58'!
testBold
	| result |
	result := parser parse: 'Page' stream: '*statue*' actor: ORWikiActor new.
	self assert: ( '<div><p><b>statue</b></p></div>' = result )! !

!ORWikiActorTest methodsFor: 'lexical' stamp: 'chc 11/25/2015 19:21'!
testHeading
	| result |
	result := parser parse: 'Page' stream: '= statue' actor: ORWikiActor new.
	self assert: ( '<div><h1>statue</h1></div>' = result )! !

!ORWikiActorTest methodsFor: 'lexical' stamp: 'chc 11/20/2015 10:06'!
testItalic
	| result |
	result := parser parse: 'Page' stream: '_statue_' actor: ORWikiActor new.
	self assert: ( '<div><p><i>statue</i></p></div>' = result )! !

!ORWikiActorTest methodsFor: 'lexical' stamp: 'chc 11/24/2015 10:59'!
testLink
	| result |
	result := parser parse: 'Page' stream: '[statue]' actor: ORWikiActor new.
	self assert: ( '<div><p><a href="http://www.statue.com">statue</a></p></div>' = result )! !

!ORWikiActorTest methodsFor: 'structural' stamp: 'chc 11/25/2015 19:17'!
testPage
	| result |
	result := parser parse: 'Page' stream: 'statue' actor: ORWikiActor new.
	self assert: ( '<div><p>statue</p></div>' = result )! !

!ORWikiActorTest methodsFor: 'structural' stamp: 'chc 11/24/2015 10:59'!
testParagraph
	| result |
	result := parser parse: 'Page' stream: 'statue' actor: ORWikiActor new.
	self assert: ( '<div><p>statue</p></div>' = result )! !
